BasicColorChooserUI (Java SE 15 & JDK 15)
Description: declaration: module: java.desktop, package: javax.swing.plaf.basic, class: BasicColorChooserUI
Keywords: javax.swing.plaf.basic.BasicColorChooserUI class

Module java.desktop
Package javax.swing.plaf.basic

# Class BasicColorChooserUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.ColorChooserUI
javax.swing.plaf.basic.BasicColorChooserUI

Direct Known Subclasses:
  `SynthColorChooserUI`

    public class BasicColorChooserUI
    extends ColorChooserUI

Provides the basic look and feel for a JColorChooser.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `class` | `BasicColorChooserUI.PropertyHandler` | This class should be treated as a "protected" inner class.

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected JColorChooser` | `chooser` | JColorChooser this BasicColorChooserUI is installed on.
  `protected AbstractColorChooserPanel[]` | `defaultChoosers` | The array of default color choosers.
  `protected ChangeListener` | `previewListener` | The instance of `ChangeListener`.
  `protected PropertyChangeListener` | `propertyChangeListener` | The instance of `PropertyChangeListener`.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `BasicColorChooserUI()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected AbstractColorChooserPanel[]` | `createDefaultChoosers()` | Returns an array of default color choosers.
  `protected PropertyChangeListener` | `createPropertyChangeListener()` | Returns an instance of `PropertyChangeListener`.
  `static ComponentUI` | `createUI​(JComponent c)` | Returns a new instance of `BasicColorChooserUI`.
  `protected void` | `installDefaults()` | Installs default properties.
  `protected void` | `installListeners()` | Registers listeners.
  `protected void` | `installPreviewPanel()` | Installs preview panel.
  `protected void` | `uninstallDefaultChoosers()` | Uninstalls default color choosers.
  `protected void` | `uninstallDefaults()` | Uninstalls default properties.
  `protected void` | `uninstallListeners()` | Unregisters listeners.
  `protected void` | `uninstallPreviewPanel()` | Removes installed preview panel from the UI delegate.

  ### Methods declared in class javax.swing.plaf.ComponentUI

  `contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### chooser

    protected JColorChooser chooser
    JColorChooser this BasicColorChooserUI is installed on.
    Since:
      1.5

  - ### defaultChoosers

    protected AbstractColorChooserPanel[] defaultChoosers
    The array of default color choosers.

  - ### previewListener

    protected ChangeListener previewListener
    The instance of `ChangeListener`.

  - ### propertyChangeListener

    protected PropertyChangeListener propertyChangeListener
    The instance of `PropertyChangeListener`.

- ## Constructor Details

  - ### BasicColorChooserUI

    public BasicColorChooserUI()

- ## Method Details

  - ### createUI

    public static ComponentUI createUI​(JComponent c)
    Returns a new instance of `BasicColorChooserUI`.
    Parameters:
      `c` - a component
    Returns:
      a new instance of `BasicColorChooserUI`

  - ### createDefaultChoosers

    protected AbstractColorChooserPanel[] createDefaultChoosers()
    Returns an array of default color choosers.
    Returns:
      an array of default color choosers

  - ### uninstallDefaultChoosers

    protected void uninstallDefaultChoosers()
    Uninstalls default color choosers.

  - ### installPreviewPanel

    protected void installPreviewPanel()
    Installs preview panel.

  - ### uninstallPreviewPanel

    protected void uninstallPreviewPanel()
    Removes installed preview panel from the UI delegate.
    Since:
      1.7

  - ### installDefaults

    protected void installDefaults()
    Installs default properties.

  - ### uninstallDefaults

    protected void uninstallDefaults()
    Uninstalls default properties.

  - ### installListeners

    protected void installListeners()
    Registers listeners.

  - ### createPropertyChangeListener

    protected PropertyChangeListener createPropertyChangeListener()
    Returns an instance of `PropertyChangeListener`.
    Returns:
      an instance of `PropertyChangeListener`

  - ### uninstallListeners

    protected void uninstallListeners()
    Unregisters listeners.